/*
Forest Green
#1E5515

Kelly Green
#2C7721

Neon Green
#55D142

Chartreuse
#D7D7A8

*/

* {
    padding: 0px;
    margin: 0px;
    box-sizing: border-box; /*Azért kell, hogy a padding, border belül legyen a méreten. Így a width a teljes külső mérete.*/
  }
  
  html {
    background-color: #D7D7A8;
  }
  
  body {
    font-family: Georgia, 'Times New Roman', Times, serif;
    /*font-family: Verdana, Geneva, Tahoma, sans-serif;*/
    overflow: auto; /*Ha túllógunk a box-on, akkor levágja a tartalmat.*/
  }
  
  ul {
    list-style: none;
  }
  
  a {
    text-decoration: none;
  }
  
header {
    position: sticky; /*Ha nem a tetején van, és felscrollozunk, akkor utána hozzáragad az oldal tetejéhez.*/
    top: 0px;
    background-color: #1E5515;
    width: 100%;
    z-index: 1000; /*Nagyon előtérben van.*/
    box-shadow: 0 4px 10px 0 rgba(0,0,0,0.2),0 4px 20px 0 rgba(0,0,0,0.19)
  }
  
  .flex-container {
    max-width: 85rem;
    /*height: 3rem; /*3-szorosa a standard méretnek.*/
    padding: 0 2rem;
    /*background-color: #fff;*/
    margin: 0 auto;
    display: flex; /*Block-level flex container.*/
    position: relative;
  }

#logo {
    display: flex;
  }
  
#logo img {
    flex: 1;
    height:100px;
    padding: 10px 0px;
    display: block;
    padding-right: 20px;
    align-items: center;
    justify-content: flex-start;
    filter: drop-shadow(0 0.2rem 0.2rem rgba(0, 0, 0, 0.7));
  }
  
#logo p {
    flex: 1;
    font-size: 1.5rem;
    display: flex;
    color: white;
    margin: 10px 0px;
    align-items: center;
    justify-content: flex-end;
  }

/* === HERO === */
.hero {
  position: relative;
  top: 3rem;
  overflow: hidden;
  height: auto;
  max-width: 85rem;
  margin: auto;
  padding: 0 2rem;
  /*margin-bottom: 5rem;*/
}

.hero__container {
  display: grid;
  grid-template-columns: 1fr 1fr; /*1 fraction*/
  column-gap: 2.4rem;
  justify-content: center;
  align-content: center;
  height: 100%;
  margin: 0rem 2.4rem;
}

.hero__container p {
  text-align: justify;
  margin: 2rem 0 0;
}

.hero__container h1 {
  margin: 0;
  text-decoration: underline;
}

.hero__container h3 {
  margin-top: 2rem;
}

.hero__left {
  margin: 1rem 0 2.4rem;
  margin:auto;
}

.hero__left h2 {
  text-align: center;
}

.hero__right {
  align-self: center;
}

.nav-btn {
flex: 3;
display: flex; /*Mindig látszik a menü, de kis képernyőnél hamburgert akarunk.*/
/*display: none;*/
align-items: center;
}

#nav-links {
flex: 2;
}

#nav-links > ul {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
  
.nav-link {
  position: relative;
  padding: 0 20px;
}

.nav-link > a {
line-height: 3rem;
color: white;
padding: 0 0.8rem;
letter-spacing: 1px;
font-size: 1.5rem;
display: flex;
align-items: center;
justify-content: space-between; /*Elemek közötti távolság egyenlő.*/
transition: 0.5s; /*Mennyi idő alatt megy végbe az átmenet pl. hover-nél.*/
filter: drop-shadow(0 0.2rem 0.2rem rgba(0, 0, 0, 0.7));
}

.nav-link > a:hover {
    /*transform: scale(1.1); */
    background-color: #55D142;
  }

.quote {
  font-family: 'Monotype Corsiva';
  font-style: italic;
  text-align: justify;
}

.signo {
  font-family: 'Monotype Corsiva';
}

.hero img {
  max-width: 90%;
  height: auto;
}

/*Mobil eszközökre.*/
@media (max-width: 800px) {
#logo p {
    font-size: 1.2rem;
}

#logo img {
  height: 75px;
}

.hero {
  height: auto;
}

.hero__container {
  grid-template-columns: 1fr;
  row-gap: 2rem;
}

}